<?php
if ( !defined('ADMIN_FILE') && !defined('MAXIMUS'))
{die("Illegal File Access Admin");}
?>
<script type="text/javascript" src="kernel/menu_js/milonic_src.js"></script>
<script type="text/javascript" src="kernel/menu_js/mmenudom.js"></script>
<?php

$menuVars=array();
$menuVars["menuCloseDelay"]=500;
$menuVars["menuOpenDelay"]=150;
$menuVars["subOffsetTop"]=0;
$menuVars["subOffsetLeft"]=0;

include_once("kernel/menu_js/mm_phpmenu.php");    // This is the file containing all of the PHP functions

// Create your style here, multiple styles are fine
	$mmStyle=new mmenuStyle();
		$mmStyle->bordercolor="#FDF1E4";
		$mmStyle->borderstyle="solid";
		$mmStyle->borderwidth=1;
		$mmStyle->fontfamily="arial, helvetica, verdana, sans-serif";
		$mmStyle->fontsize="85%";
		$mmStyle->fontstyle="normal";
		$mmStyle->headerbgcolor="#AFD1B5";
		$mmStyle->headercolor="#000099";
		$mmStyle->offbgcolor="#FDF1E4";
		$mmStyle->offcolor="#800000";
		$mmStyle->onbgcolor="#FEFAD2";
		$mmStyle->oncolor="#800000";
		$mmStyle->outfilter="randomdissolve(duration=0.2)";
		$mmStyle->overfilter="Fade(duration=0.1);Alpha(opacity=90);Shadow(color='#777777', Direction=135, Strength=3)";
		$mmStyle->padding=3;
		$mmStyle->pagebgcolor="#FDF1E4";
		$mmStyle->pagecolor="000066";
		$mmStyle->separatorcolor="#999999";
		$mmStyle->separatorsize=1;
		$mmStyle->subimage="admin/themes/admin_hight/images/on_13x13_greyboxed.gif";
		$mmStyle->subimagepadding=2;
	$mmStyle->createMenuStyle("menuStyle");

// second
        $mmStyle=new mmenuStyle();
		$mmStyle->bordercolor="#FDF1E4";
		$mmStyle->borderstyle="solid";
		$mmStyle->borderwidth=0;
		$mmStyle->fontfamily="arial, helvetica, verdana, sans-serif";
		$mmStyle->fontsize="85%";
		$mmStyle->fontstyle="normal";
		$mmStyle->headerbgcolor="#AFD1B5";
		$mmStyle->headerborder=1;
		$mmStyle->headercolor="#000099";
		$mmStyle->offbgcolor="#FDF1E4"; // couleur du fond fixe
		$mmStyle->offcolor="#800000";   //Couleur du texte
		$mmStyle->onbgcolor="#FEFAD2";  // couleur du fond sur clic
		$mmStyle->onborder="";
		$mmStyle->oncolor="#800000";
		$mmStyle->onsubimage="admin/themes/admin_hight/images/on_downboxed.gif";
		//$mmStyle->outfilter="randomdissolve(duration=0.2)";
		//$mmStyle->overfilter="Fade(duration=0.1);Alpha(opacity=90);Shadow(color='#777777', Direction=135, Strength=3)";
		$mmStyle->padding=3;
		$mmStyle->pagebgcolor="#FDF1E4";
		$mmStyle->pagecolor="#000066";
		$mmStyle->pageimage="admin/themes/admin_hight/images/db_red.gif";
		$mmStyle->separatoralign="right";
		$mmStyle->separatorcolor="#999999";
		$mmStyle->separatorsize=0;
		$mmStyle->subimage="admin/themes/admin_hight/images/downboxed.gif";
		//$mmStyle->subimagepadding=2;
        $mmStyle->createMenuStyle("horizStyle");


	// Create the main menu, note that the PHP property names all match the name of the menu property
        $mmMenu=new mMenu();
	$mmMenu->style="horizStyle";
	$mmMenu->alwaysvisible="true";
	$mmMenu->orientation="horizontal";
	 //   $mmMenu->position="relative";
	$mmMenu->left=10;
	$mmMenu->top=44;
	// Add some menu items - This can be all on one line using the addItemFromText method.
	// However, you can add single item properties using the following code:
	/*
		$mmItem = new mItem();
		$mmItem->addItemElement("text", "Single Item Test");
		$mmItem->addItemElement("url", "singleitems.php");
		$mmItem->addItemElement("title", "Test of single item");
		$mmItem->addItemElement("oncolor", "ff0000");
		$mmMenu->addItemFromItem($mmItem);
	*/
	$mmMenu->addItemFromText("showmenu=Website;text="._PANELWEBSITE.";url=$admin_file.php;status="._PANELWEBSITE.";");
	$mmMenu->addItemFromText("showmenu=Comptes;text="._GESTIONCOMPTES.";status="._GESTIONCOMPTES.";");
	$mmMenu->addItemFromText("showmenu=Blocks;text="._GESTIONBLOCKS.";url=$admin_file.php?op=BlocksManager;status="._GESTIONBLOCKS.";");
	$mmMenu->addItemFromText("showmenu=Modules;text="._GESTIONMODULES.";url=$admin_file.php?op=modules;status="._GESTIONMODULES.";");
	$mmMenu->addItemFromText("showmenu=Article;text="._GESTIONARTICLES.";url=$admin_file.php?op=homenews;status="._GESTIONARTICLES.";");
	$mmMenu->addItemFromText("showmenu=Rechercher;text="._SEARCH.";status="._SEARCH.";");
	$mmMenu->addItemFromText("showmenu=Help;text="._HELP.";status="._HELP.";");
	$mmMenu->createMenu("Main Menu");

// website
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONFIGSTANDART.";url=$admin_file.php?op=Configure;status="._CONFIGSTANDART.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONFIGADVANCE.";url=$admin_file.php?op=ConfigureAdvance;status="._CONFIGADVANCE.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/18_privacy.gif;text="._CONTROLECENTER.";url=$admin_file.php?op=cMax;status="._CONTROLECENTER.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._SESSIONS.";url=$admin_file.php?op=max_sessions;status="._SESSIONS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._DATABASE.";url=$admin_file.php?op=database;status="._DATABASE.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._SENTINEL.";url=$admin_file.php?op=ABMain;status="._SENTINEL.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._SECUREADMINS.";url=$admin_file.php?op=nsnsecureadmin;status="._SECUREADMINS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._MSANALYSIS.";url=modules.php?name=MS_Analysis&file=admin;status="._MSANALYSIS.";");
        $mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._PLAN.";url=$admin_file.php?op=Plan;status="._PLAN.";");
$mmMenu->createMenu("Website");

// comptes
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._COMPTESADMINS.";url=$admin_file.php?op=promotion;status="._COMPTESADMINS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=xgroups;text="._GESTIONGROUPES.";url=$admin_file.php?op=NSNGroups;status="._GESTIONGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=xmembers;text="._GESTIONMEMBERS.";url=$admin_file.php?op=members;status="._GESTIONMEMBERS.";");

$mmMenu->createMenu("Comptes");
// groups
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONFIGGROUPES.";url=$admin_file.php?op=NSNGroupsConfig;status="._CONFIGGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CREATEGROUPES.";url=$admin_file.php?op=NSNGroupsAdd;status="._CREATEGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONSULTGROUPES.";url=$admin_file.php?op=NSNGroupsView;status="._CONSULTGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._ADDUSERGROUPES.";url=$admin_file.php?op=NSNGroupsUsersAdd;status="._ADDUSERGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._GLOBALVIEWGROUPES.";url=$admin_file.php?op=NSNGroupsUsersViews;status="._GLOBALVIEWGROUPES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._EMAILGROUPES.";url=$admin_file.php?op=NSNGroupsUsersEmail;status="._EMAILGROUPES.";");
$mmMenu->createMenu("xgroups");


// members
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONFIGMEMBERS.";url=$admin_file.php?op=UsersConfig;status="._CONFIGMEMBERS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONFIGMEMBERS2.";url=$admin_file.php?op=UsersChamps;status="._CONFIGMEMBERS2.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CREATEMEMBER.";url=$admin_file.php?op=addUser;status="._CREATEMEMBER.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CONSULTMEMBERS.";url=$admin_file.php?op=listnormal&query=a;status="._CONSULTMEMBERS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._SUSPENDMEMBERS.";url=$admin_file.php?op=listnormal&query=0;status="._SUSPENDMEMBERS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._DELETEDMEMBERS.";url=$admin_file.php?op=listnormal&query=1;status="._DELETEDMEMBERS.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._WAITMEMBERS.";url=$admin_file.php?op=listpending;status="._WAITMEMBERS.";");
$mmMenu->createMenu("xmembers");

// blocs
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._GESTIONBLOCKS.";url=$admin_file.php?op=BlocksManager;");
	$mmMenu->addItemFromText("image=image=admin/themes/admin_Kmax/images/18_privacy.gif;text="._CREATEBLOCK.";url=$admin_file.php?op=BlocksManager_AddBlock;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._EDITDELETEBLOCK.";url=$admin_file.php?op=BlocksManager_AllBlocks;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._ALLACTIVESMODULES.";url=$admin_file.php?op=BlocksManager_AllModules;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._GESTIONCENTERBLOCKS.";url=$admin_file.php?op=centerBlocksAdmin;");
$mmMenu->createMenu("Blocks");

// modules
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._PANELADMINMODULES1.";status="._PANELADMINMODULES1.";url=$admin_file.php?op=AdminPanelModules;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._PANELADMINMODULES.";status="._PANELADMINMODULES.";url=$admin_file.php?op=modules;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=izbar1;status="._MODULESINSTALL.";text="._MODULESINSTALL.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=izbar2;status="._MODULESNOTINSTALL.";text="._MODULESNOTINSTALL.";");
$mmMenu->createMenu("Modules");


$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->overflow="scroll";
	$result = $db->sql_query("SELECT mid, title from ".TABLE_MODULES." WHERE install='1' ORDER BY title ASC");
	while ($row = $db->sql_fetchrow($result)) {
	$mid = $db->XMFnum($row['mid']);
	$title2 = stripslashes($row['title']);
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text=".$title2.";url=$admin_file.php?op=module_edit&mid=$mid;");
	}
	$db->sql_freeresult($result);
$mmMenu->createMenu("izbar1");

$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->overflow="scroll";
	$result1 = $db->sql_query("SELECT mid, title from ".TABLE_MODULES." WHERE install=0 ORDER BY title ASC");
	while ($row1 = $db->sql_fetchrow($result1)) {
	$mid1 = $db->XMFnum($row1['mid']);
	$title1 = stripslashes($row1['title']);
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text=".$title1.";url=$admin_file.php?op=module_edit&mid=$mid1;");
	}
	$db->sql_freeresult($result1);
$mmMenu->createMenu("izbar2");

// articles
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._ADDARTICLE.";url=$admin_file.php?op=adminStory;status="._ADDARTICLE.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=izbar3;text="._LASTARTICLES.";status="._LASTARTICLES.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._ADDTOPIC.";url=$admin_file.php?op=topicadd;status="._ADDTOPIC.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._EDITTOPIC.";url=$admin_file.php?op=topicmodify;status="._EDITTOPIC.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._DELETEIMAGES.";url=$admin_file.php?op=topicdelunused;status="._DELETEIMAGES.";");
$mmMenu->createMenu("Article");

$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._LAST10ARTICLES.";status="._LAST10ARTICLES.";url=$admin_file.php?op=lastarticles&var=10;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._LAST20ARTICLES.";status="._LAST20ARTICLES.";url=$admin_file.php?op=lastarticles&var=20;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._LAST50ARTICLES.";status="._LAST50ARTICLES.";url=$admin_file.php?op=lastarticles&var=50;");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._LAST100ARTICLES.";status="._LAST100ARTICLES.";url=$admin_file.php?op=lastarticles&var=100;");
$mmMenu->createMenu("izbar3");

$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
        $mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=izbar4;status=article;text="._SEARCHARTICLE.";status="._SEARCHARTICLE.";");
        $mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;showmenu=izbar5;status=membre;text="._SEARCHMEMBER.";status="._SEARCHMEMBER.";");
$mmMenu->createMenu("Rechercher");

$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("text=Entrer l'identifiant de l'article<form action=".$admin_file.".php?op=EditStory method=post><input type=text name=sid><br /><input type=submit value=Recherche></form>;type=form;align=center;");
$mmMenu->createMenu("izbar4");

// aide
$mmMenu=new mMenu();
	$mmMenu->style="menuStyle";
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._LICENCEGPL.";url=$admin_file.php?op=LicenceGPL;status="._LICENCEGPL.";");
	$mmMenu->addItemFromText("image=admin/themes/admin_hight/images/menu-box1.gif;overimage=admin/themes/admin_hight/images/menu-box2.gif;text="._CREDITS.";url=$admin_file.php?op=Credits;status="._CREDITS.";");
$mmMenu->createMenu("Help");

commitMenus();

?>